Redmine - Defect #5533

Ellipses at the end of snippets shouldn't be textilized
2010-05-16 01:36 - Felix Schafer

Status: Closed Start date: 2010-05-16
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version:

Description

| just noticed that document snippets textilization on the document overview page (introduced in r3602) also textilizes the ellipse (...)
at the end of the snippet. The ellipse should get added to the snippet only after it has been textilized, not the other way round.

Associated revisions

Revision 3788 - 2010-06-20 00:17 - Eric Davis
Added tests for #5533's behavior.

Contributed by Gregor Schmidt.

History

#1 - 2010-05-22 10:35 - Jean-Philippe Lang
What is the problem with that?

#2 - 2010-05-22 11:06 - Felix Schéfer
Any "unclosed" styling will apply to the ellipses, but they should'nt be styled to make clear that they are not part of the content.
"Just an exampfe" might end as "Just and exam—"right now, or worse could get in the middle of a link and whatnot.

#3 - 2010-05-26 07:46 - sdf dfg

- Assignee set to Anonymous

000nello

#4 - 2010-05-26 21:05 - Felix Schéafer

- Assignee deleted (Anonymous)

Reverting spam.

#5 - 2010-06-19 23:48 - Gregor Schmidt
- File test_index_with_long_description.diff added

The changes in application_helper to truncate the description will only remove full lines. That way only multi-line formattings will be broken. Links and
simple text formatting with * and the like will remain intact.

The only multi-line formatting rule | could come up with is pre.

When first applying the textile transformation and truncating afterwards, the three dots will be rendered on a separate line below the pre formatted
text. This would not look any better.

If 1 did not miss an edge case, | would suggest to close this ticket as won't fix.
Attaching a test case, that tests the current behavior.
#6 - 2010-06-20 00:09 - Eric Davis

- Status changed from New to Closed

- Target version deleted (0.9.5)
https://www.redmine.org/projects/redmine/repository/svn/revisions/3602

- Resolution set to Cant reproduce

| agree with Gregor Schmidt, his test case shows that full lines are truncated and then textilized preserving the formatting (visual example:
http://rubular.com/r/ Xm8AEzMooZ).

If you can provide the exact content that causes an issue, please post it here and we can look into it again.

Files

test_index_with_long_description.diff 2.04 KB 2010-06-19 Gregor Schmidt
